Skip to main content
`Ctrl`+`K`

# DMRestoreWorkArray

Restores a work array obtained with `DMCreateWorkArray()`

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMRestoreWorkArray(DM dm, PetscInt count, MPI_Datatype dtype, void *mem)

Not Collective

## Input Parameters

- dm - the `DM` object

- count - The minimum size

- dtype - MPI data type, often `MPIU_REAL`, `MPIU_SCALAR`, `MPIU_INT`

## Output Parameter

- mem - the work array

## Developer Note

count and dtype are ignored, they are only needed for `DMGetWorkArray()`

## See Also

DM Basics, `DM`, `DMDestroy()`, `DMCreate()`, `DMGetWorkArray()`

## Level

developer

## Location

src/dm/interface/dm.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages